<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.min.js" integrity="sha256-VazP97ZCwtekAsvgPBSUwPFKdrwD3unUfSGVYrahUqU=" crossorigin="anonymous"></script>
    <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.5.3/dist/css/bootstrap.min.css" integrity="sha384-TX8t27EcRE3e/ihU7zmQxVncDAy5uIKz4rEkgIXeMed4M0jlfIDPvg6uqKI2xXr2" crossorigin="anonymous">
    <title>Document</title>
</head>
<body style="background-color:rgb(196, 204, 82);"></body>
<input id = "keyword" placeholder="Masukan Kata Kunci">
<table class="table" id="daftar_isi"></table>


<script type="text/javascript">
    $("#keyword").keyup(function(){
        var search = $("#keyword").val();
        // console.log(search);
        var header = '<thead class="thead-dark"> <tr><th> Title</th><th> Cover </th></tr> </thead>'
        //panggil cara ajax
        $.ajax({
            url: 'data/?q=' + search,
            success: function(data) {
                console.log(data);
                var array_items = data.items;   
                console.log(array_items);
                $("#daftar_isi").empty();
                $("#daftar_isi").append(header);
                for(i=0; i<array_items.length; i++){
                    var judul = array_items[i].volumeInfo.title;
                    var gambar = array_items[i].volumeInfo.imageLinks.smallThumbnail;
                    $("#daftar_isi").append('<tr><td>'+judul+"<br>'</td> <td><img src="+ gambar +'> </td> </tr>');
                    // console.log(judul);
                }
            }
        });
    });
</script>
</html>